For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dashboard
User GuideDeveloper GuidesAPI Reference
User GuideDeveloper GuidesAPI Reference
    • Overview
  • Runtype API
      • POSTValidate Slack bot token (deprecated)
      • POSTValidate Telegram bot token (deprecated)
      • POSTValidate channel credentials
      • POSTSend echo message
Dashboard
LogoLogo
Runtype APIMessaging Validations

Validate channel credentials

POST
/v1/messaging/validations/:channelType/credentials
POST
/v1/messaging/validations/:channelType/credentials
$curl -X POST https://api.runtype.com/v1/messaging/validations/channelType/credentials \
> -H "Authorization: <apiKey>" \
> -H "Content-Type: application/json" \
> -d '{}'
1{
2 "valid": true,
3 "error": "",
4 "metadata": {}
5}
Validate credentials for a messaging channel type. Returns 404 when no validator is registered for the channel.
Was this page helpful?
Previous

Send echo message

Next
Built with

Authentication

AuthorizationBearer
API key or Clerk session token

Path parameters

channelTypestringRequired

Request

This endpoint expects an object.

Response

Validation result
validboolean
errorstring
metadatamap from strings to any

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error